Skip to main content
POST
/
v1
/
whatsapp
/
messages
/
delete
Delete or revoke a message
curl --request POST \
  --url https://api.whatsapp-use.com/v1/whatsapp/messages/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message_id": "<string>"
}
'
{
  "command_id": "<string>",
  "kind": "<string>",
  "command": {
    "id": "<string>",
    "kind": "<string>",
    "payload": {},
    "status": "<string>",
    "result": {},
    "error": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "claimed_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-WhatsApp-Use-Connection-Id
string

Required when the API key can access multiple WhatsApp connections.

Body

application/json
message_id
string
required
conversation_id
string
to
string
contact_id
string
wa_message_id
string
target_wa_id
string
sender
string
emoji
string

Response

Command accepted.

command_id
string
kind
string
command
object